package com.zhentao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.pojo.Goods;
import com.zhentao.service.GoodsService;
import com.zhentao.mapper.GoodsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author 芸
* @description 针对表【goods】的数据库操作Service实现
* @createDate 2025-05-16 10:18:08
*/
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods>
    implements GoodsService{

    @Autowired
    GoodsMapper goodsMapper;
    @Override
    public void addGoods(String goodsName) {
        Goods goods = new Goods();
        goods.setGoodsName(goodsName);
        goodsMapper.insert(goods);
    }
}




